%global pypi_name    setuptools_scm
%global pypi_version 5.0.2
%global canonical_pypi_name %(echo %{pypi_name} | tr '_' '-')

Name:           python-%{canonical_pypi_name}
Version:        %{pypi_version}
Release:        2%{?dist}
Summary:        Blessed package to manage your versions by SCM tags

License:        MIT
URL:            https://github.com/pypa/setuptools_scm/
Source0:        https://files.pythonhosted.org/packages/source/%(c=%{pypi_name}; echo ${c:0:1})/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_version}dist(setuptools)

%global _description %{expand:
setuptools_scm handles managing your Python package versions in SCM metadata.
It also handles file finders for the supported SCMs.}

%description %_description


%package -n     python%{python3_pkgversion}-%{canonical_pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{canonical_pypi_name}}

Requires:       python%{python3_version}dist(setuptools)

%description -n python%{python3_pkgversion}-%{canonical_pypi_name} %_description


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python%{python3_pkgversion}-%{canonical_pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Tue Apr 19 2022 Daniel Uvehag <ufven+pkgs@protonmail.com> - 5.0.2-2
- Rename package names as to honour Fedora's naming policy.

* Tue Apr 19 2022 Daniel Uvehag <ufven+pkgs@protonmail.com> - 5.0.2-1
- Initial package.
